### Function

# FwupdPlugin kernel_get_config

since: 1.8.5

#### Declaration [src]

    GHashTable*
    fu_kernel_get_config (
      FuPathStore* pstore,
      GError** error
    )

#### Description [src]

Loads all the kernel options into a hash table. Commented out options are not included.

Available since: 1.8.5

#### Parameters

`pstore`

  Type: `FuPathStore`

  A `FuPathStore`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GHashTable`

Options from the kernel.

The caller of the function takes ownership of the data container, but not the data inside it.